@if "%debug%" == "" @echo off
rem The "shortcuts" on the nu2menu do not support setting the working folder (Start in:).
rem Change current drive and path to location of the files, so we don't have to specify a full path for each file.
%~d0
cd %~dp0
call common.cmd
goto run

:run
%~d0
cd %~dp0
@echo.
@echo Injecting drivers for Intel(R) 82371AB/EB PCI Bus Master IDE Controller Windows XP/2000/2003
@echo Copying intelide.inf to %target_root%\inf folder
rem mshdc.inf contains the necessary information. It is a standard file installed by Windows. 
rem It should already exist. Do not copy over intelide.inf if mshdc.inf does exist.
if not exist %target_root%\inf\mshdc.inf copy intelide.inf %target_root%\inf

@echo Copying intelide.sys to %target_root%\system32\drivers
if not exist %target_root%\system32\drivers\intelide.sys copy intelide.sys %target_root%\system32\drivers

@echo Copying atapi.sys to %target_root%\system32\drivers
rem This is a standard file installed by Windows whenever any IDE interface is installed. 
rem It should already exist. Do not replace it if it does exist.
if not exist %target_root%\system32\drivers\atapi.sys copy atapi.sys %target_root%\system32\drivers

@echo Copying pciidex.sys to %target_root%\system32\drivers
rem This is a standard file installed by Windows whenever any IDE interface is installed. 
rem It should already exist. Do not replace it if it does exist.
if not exist %target_root%\system32\drivers\pciidex.sys copy pciidex.sys %target_root%\system32\drivers

@echo Loading Registry...
reg LOAD HKLM\SYSTEM_00 %target_root%\system32\config\SYSTEM

@echo Importing registry keys...
regedit /s intelide.reg
reg UNLOAD HKLM\SYSTEM_00
goto done

:done
echo.
echo.
@echo "Done...Please restart the computer with Start->Shutdown and Reboot"
echo.
pause

:end
rem echo EOF
